import * as React from 'react';
import { ResizeType } from '../Resizable';
import { AllProps, IState, ISpaceContext, ISpaceTaker } from './Types';
export declare const isHorizontalSpace: (props: AllProps) => boolean | undefined;
export declare const isVerticalSpace: (props: AllProps) => boolean | undefined;
export declare const initialState: (props: AllProps) => {
    id: string;
    currentWidth: number;
    currentHeight: number;
    adjustedSize: number;
    spaceTakers: never[];
    parsedSize: number | undefined;
    left: number | undefined;
    top: number | undefined;
    right: number | undefined;
    bottom: number | undefined;
    width: string | number | undefined;
    height: string | number | undefined;
    debug: boolean;
};
export declare const calculateSpace: (props: AllProps, state: IState, setState: (stateDelta: Partial<IState>) => void, registerOnRemove: (handler: () => void) => void, parentContext: ISpaceContext | null) => {
    currentContext: {
        debug: boolean;
        level: number;
        width: number;
        height: number;
        spaceTakers: ISpaceTaker[];
        registerSpaceTaker: (spaceTaker: ISpaceTaker) => void;
        removeSpaceTaker: (id: string) => void;
        updateSpaceTakerAdjustedSize: (id: string, adjustedSize: number) => void;
        updateDebug: (id: string, debug: boolean) => void;
    };
    resizeHandle: JSX.Element | null;
    resizeType: ResizeType | null;
    outerStyle: {
        left: string | undefined;
        top: string;
        right: string;
        bottom: string;
        width: string | undefined;
        height: string | undefined;
    };
    innerStyle: {
        left: number | undefined;
        top: number | undefined;
        right: number | undefined;
        bottom: number | undefined;
    } | {
        left: number | undefined;
        top: number | undefined;
        right: number | undefined;
        bottom: number | undefined;
        alignContent?: string | undefined;
        alignItems?: string | undefined;
        alignSelf?: string | undefined;
        animationDelay?: string | undefined;
        animationDirection?: string | undefined;
        animationDuration?: string | undefined;
        animationFillMode?: string | undefined;
        animationIterationCount?: string | number | undefined;
        animationName?: string | undefined;
        animationPlayState?: string | undefined;
        animationTimingFunction?: string | undefined;
        appearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "button-bevel" | "checkbox" | "listbox" | "menulist" | "menulist-button" | "meter" | "progress-bar" | "push-button" | "radio" | "searchfield" | "slider-horizontal" | "square-button" | "textarea" | "button" | "textfield" | undefined;
        backdropFilter?: string | undefined;
        backfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | undefined;
        backgroundAttachment?: string | undefined;
        backgroundBlendMode?: string | undefined;
        backgroundClip?: string | undefined;
        backgroundColor?: string | undefined;
        backgroundImage?: string | undefined;
        backgroundOrigin?: string | undefined;
        backgroundPosition?: string | number | undefined;
        backgroundPositionX?: string | number | undefined;
        backgroundPositionY?: string | number | undefined;
        backgroundRepeat?: string | undefined;
        backgroundSize?: string | number | undefined;
        blockOverflow?: string | undefined;
        blockSize?: string | number | undefined;
        borderBlockColor?: string | undefined;
        borderBlockEndColor?: string | undefined;
        borderBlockEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderBlockEndWidth?: string | number | undefined;
        borderBlockStartColor?: string | undefined;
        borderBlockStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderBlockStartWidth?: string | number | undefined;
        borderBlockStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderBlockWidth?: string | number | undefined;
        borderBottomColor?: string | undefined;
        borderBottomLeftRadius?: string | number | undefined;
        borderBottomRightRadius?: string | number | undefined;
        borderBottomStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderBottomWidth?: string | number | undefined;
        borderCollapse?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "collapse" | "separate" | undefined;
        borderEndEndRadius?: string | number | undefined;
        borderEndStartRadius?: string | number | undefined;
        borderImageOutset?: string | number | undefined;
        borderImageRepeat?: string | undefined;
        borderImageSlice?: string | number | undefined;
        borderImageSource?: string | undefined;
        borderImageWidth?: string | number | undefined;
        borderInlineColor?: string | undefined;
        borderInlineEndColor?: string | undefined;
        borderInlineEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderInlineEndWidth?: string | number | undefined;
        borderInlineStartColor?: string | undefined;
        borderInlineStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderInlineStartWidth?: string | number | undefined;
        borderInlineStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderInlineWidth?: string | number | undefined;
        borderLeftColor?: string | undefined;
        borderLeftStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderLeftWidth?: string | number | undefined;
        borderRightColor?: string | undefined;
        borderRightStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderRightWidth?: string | number | undefined;
        borderSpacing?: string | number | undefined;
        borderStartEndRadius?: string | number | undefined;
        borderStartStartRadius?: string | number | undefined;
        borderTopColor?: string | undefined;
        borderTopLeftRadius?: string | number | undefined;
        borderTopRightRadius?: string | number | undefined;
        borderTopStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        borderTopWidth?: string | number | undefined;
        boxDecorationBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | undefined;
        boxShadow?: string | undefined;
        boxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | undefined;
        breakAfter?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "left" | "right" | "all" | "always" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | "column" | "page" | "recto" | "region" | "verso" | undefined;
        breakBefore?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "left" | "right" | "all" | "always" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | "column" | "page" | "recto" | "region" | "verso" | undefined;
        breakInside?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | "avoid-column" | "avoid-page" | "avoid-region" | undefined;
        captionSide?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "bottom" | "top" | "block-end" | "block-start" | "inline-end" | "inline-start" | undefined;
        caretColor?: string | undefined;
        clear?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "both" | "none" | "left" | "right" | "inline-end" | "inline-start" | undefined;
        clipPath?: string | undefined;
        color?: string | undefined;
        colorAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "economy" | "exact" | undefined;
        columnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | undefined;
        columnFill?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "balance" | "balance-all" | undefined;
        columnGap?: string | number | undefined;
        columnRuleColor?: string | undefined;
        columnRuleStyle?: string | undefined;
        columnRuleWidth?: string | number | undefined;
        columnSpan?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "all" | undefined;
        columnWidth?: string | number | undefined;
        contain?: string | undefined;
        content?: string | undefined;
        counterIncrement?: string | undefined;
        counterReset?: string | undefined;
        counterSet?: string | undefined;
        cursor?: string | undefined;
        direction?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "ltr" | "rtl" | undefined;
        display?: string | undefined;
        emptyCells?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hide" | "show" | undefined;
        filter?: string | undefined;
        flexBasis?: string | number | undefined;
        flexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
        flexGrow?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        flexShrink?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        flexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
        float?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "left" | "right" | "inline-end" | "inline-start" | undefined;
        fontFamily?: string | undefined;
        fontFeatureSettings?: string | undefined;
        fontKerning?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "none" | undefined;
        fontLanguageOverride?: string | undefined;
        fontOpticalSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | undefined;
        fontSize?: string | number | undefined;
        fontSizeAdjust?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | undefined;
        fontStretch?: string | undefined;
        fontStyle?: string | undefined;
        fontSynthesis?: string | undefined;
        fontVariant?: string | undefined;
        fontVariantCaps?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "all-petite-caps" | "all-small-caps" | "petite-caps" | "small-caps" | "titling-caps" | "unicase" | undefined;
        fontVariantEastAsian?: string | undefined;
        fontVariantLigatures?: string | undefined;
        fontVariantNumeric?: string | undefined;
        fontVariantPosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "sub" | "super" | undefined;
        fontVariationSettings?: string | undefined;
        fontWeight?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "bold" | "bolder" | "lighter" | undefined;
        gridAutoColumns?: string | number | undefined;
        gridAutoFlow?: string | undefined;
        gridAutoRows?: string | number | undefined;
        gridColumnEnd?: string | number | undefined;
        gridColumnStart?: string | number | undefined;
        gridRowEnd?: string | number | undefined;
        gridRowStart?: string | number | undefined;
        gridTemplateAreas?: string | undefined;
        gridTemplateColumns?: string | number | undefined;
        gridTemplateRows?: string | number | undefined;
        hangingPunctuation?: string | undefined;
        height?: string | number | undefined;
        hyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | undefined;
        imageOrientation?: string | undefined;
        imageRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "-moz-crisp-edges" | "-o-crisp-edges" | "-webkit-optimize-contrast" | "crisp-edges" | "pixelated" | undefined;
        imageResolution?: string | undefined;
        initialLetter?: string | number | undefined;
        inlineSize?: string | number | undefined;
        inset?: string | number | undefined;
        insetBlock?: string | number | undefined;
        insetBlockEnd?: string | number | undefined;
        insetBlockStart?: string | number | undefined;
        insetInline?: string | number | undefined;
        insetInlineEnd?: string | number | undefined;
        insetInlineStart?: string | number | undefined;
        isolation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "isolate" | undefined;
        justifyContent?: string | undefined;
        justifyItems?: string | undefined;
        justifySelf?: string | undefined;
        letterSpacing?: string | number | undefined;
        lineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | undefined;
        lineHeight?: string | number | undefined;
        lineHeightStep?: string | number | undefined;
        listStyleImage?: string | undefined;
        listStylePosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "inside" | "outside" | undefined;
        listStyleType?: string | undefined;
        marginBlock?: string | number | undefined;
        marginBlockEnd?: string | number | undefined;
        marginBlockStart?: string | number | undefined;
        marginBottom?: string | number | undefined;
        marginInline?: string | number | undefined;
        marginInlineEnd?: string | number | undefined;
        marginInlineStart?: string | number | undefined;
        marginLeft?: string | number | undefined;
        marginRight?: string | number | undefined;
        marginTop?: string | number | undefined;
        maskBorderMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "alpha" | "luminance" | undefined;
        maskBorderOutset?: string | number | undefined;
        maskBorderRepeat?: string | undefined;
        maskBorderSlice?: string | number | undefined;
        maskBorderSource?: string | undefined;
        maskBorderWidth?: string | number | undefined;
        maskClip?: string | undefined;
        maskComposite?: string | undefined;
        maskImage?: string | undefined;
        maskMode?: string | undefined;
        maskOrigin?: string | undefined;
        maskPosition?: string | number | undefined;
        maskRepeat?: string | undefined;
        maskSize?: string | number | undefined;
        maskType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "alpha" | "luminance" | undefined;
        maxBlockSize?: string | number | undefined;
        maxHeight?: string | number | undefined;
        maxInlineSize?: string | number | undefined;
        maxLines?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | undefined;
        maxWidth?: string | number | undefined;
        minBlockSize?: string | number | undefined;
        minHeight?: string | number | undefined;
        minInlineSize?: string | number | undefined;
        minWidth?: string | number | undefined;
        mixBlendMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "color" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | undefined;
        motionDistance?: string | number | undefined;
        motionPath?: string | undefined;
        motionRotation?: string | undefined;
        objectFit?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "contain" | "cover" | "fill" | "scale-down" | undefined;
        objectPosition?: string | number | undefined;
        offsetAnchor?: string | number | undefined;
        offsetDistance?: string | number | undefined;
        offsetPath?: string | undefined;
        offsetPosition?: string | number | undefined;
        offsetRotate?: string | undefined;
        offsetRotation?: string | undefined;
        opacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        order?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        orphans?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        outlineColor?: string | undefined;
        outlineOffset?: string | number | undefined;
        outlineStyle?: string | undefined;
        outlineWidth?: string | number | undefined;
        overflow?: string | undefined;
        overflowAnchor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | undefined;
        overflowBlock?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | "clip" | undefined;
        overflowClipBox?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "content-box" | "padding-box" | undefined;
        overflowInline?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | "clip" | undefined;
        overflowWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "anywhere" | "break-word" | undefined;
        overflowX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | "clip" | undefined;
        overflowY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | "clip" | undefined;
        overscrollBehavior?: string | undefined;
        overscrollBehaviorX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "contain" | undefined;
        overscrollBehaviorY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "contain" | undefined;
        paddingBlock?: string | number | undefined;
        paddingBlockEnd?: string | number | undefined;
        paddingBlockStart?: string | number | undefined;
        paddingBottom?: string | number | undefined;
        paddingInline?: string | number | undefined;
        paddingInlineEnd?: string | number | undefined;
        paddingInlineStart?: string | number | undefined;
        paddingLeft?: string | number | undefined;
        paddingRight?: string | number | undefined;
        paddingTop?: string | number | undefined;
        pageBreakAfter?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "left" | "right" | "always" | "avoid" | "recto" | "verso" | undefined;
        pageBreakBefore?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "left" | "right" | "always" | "avoid" | "recto" | "verso" | undefined;
        pageBreakInside?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "avoid" | undefined;
        paintOrder?: string | undefined;
        perspective?: string | number | undefined;
        perspectiveOrigin?: string | number | undefined;
        placeContent?: string | undefined;
        pointerEvents?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "visible" | "all" | "fill" | "stroke" | "painted" | "visibleFill" | "visiblePainted" | "visibleStroke" | undefined;
        position?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "fixed" | "-webkit-sticky" | "absolute" | "relative" | "static" | "sticky" | undefined;
        quotes?: string | undefined;
        resize?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "both" | "none" | "block" | "inline" | "horizontal" | "vertical" | undefined;
        rotate?: string | undefined;
        rowGap?: string | number | undefined;
        rubyAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "space-around" | "space-between" | "center" | "start" | undefined;
        rubyMerge?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "collapse" | "separate" | undefined;
        rubyPosition?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "over" | "under" | undefined;
        scale?: string | number | undefined;
        scrollBehavior?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "smooth" | undefined;
        scrollMargin?: string | number | undefined;
        scrollMarginBlock?: string | number | undefined;
        scrollMarginBlockEnd?: string | number | undefined;
        scrollMarginBlockStart?: string | number | undefined;
        scrollMarginBottom?: string | number | undefined;
        scrollMarginInline?: string | number | undefined;
        scrollMarginInlineEnd?: string | number | undefined;
        scrollMarginInlineStart?: string | number | undefined;
        scrollMarginLeft?: string | number | undefined;
        scrollMarginRight?: string | number | undefined;
        scrollMarginTop?: string | number | undefined;
        scrollPadding?: string | number | undefined;
        scrollPaddingBlock?: string | number | undefined;
        scrollPaddingBlockEnd?: string | number | undefined;
        scrollPaddingBlockStart?: string | number | undefined;
        scrollPaddingBottom?: string | number | undefined;
        scrollPaddingInline?: string | number | undefined;
        scrollPaddingInlineEnd?: string | number | undefined;
        scrollPaddingInlineStart?: string | number | undefined;
        scrollPaddingLeft?: string | number | undefined;
        scrollPaddingRight?: string | number | undefined;
        scrollPaddingTop?: string | number | undefined;
        scrollSnapAlign?: string | undefined;
        scrollSnapStop?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "always" | undefined;
        scrollSnapType?: string | undefined;
        scrollbarColor?: string | undefined;
        scrollbarWidth?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "thin" | undefined;
        shapeImageThreshold?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        shapeMargin?: string | number | undefined;
        shapeOutside?: string | undefined;
        tabSize?: string | number | undefined;
        tableLayout?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "fixed" | undefined;
        textAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "left" | "right" | "justify" | "match-parent" | undefined;
        textAlignLast?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "auto" | "left" | "right" | "justify" | undefined;
        textCombineUpright?: string | undefined;
        textDecorationColor?: string | undefined;
        textDecorationLine?: string | undefined;
        textDecorationSkip?: string | undefined;
        textDecorationSkipInk?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | undefined;
        textDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | undefined;
        textEmphasisColor?: string | undefined;
        textEmphasisPosition?: string | undefined;
        textEmphasisStyle?: string | undefined;
        textIndent?: string | number | undefined;
        textJustify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "inter-character" | "inter-word" | undefined;
        textOrientation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "mixed" | "sideways" | "upright" | undefined;
        textOverflow?: string | undefined;
        textRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "geometricPrecision" | "optimizeLegibility" | "optimizeSpeed" | undefined;
        textShadow?: string | undefined;
        textSizeAdjust?: string | undefined;
        textTransform?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "full-width" | "capitalize" | "full-size-kana" | "lowercase" | "uppercase" | undefined;
        textUnderlinePosition?: string | undefined;
        touchAction?: string | undefined;
        transform?: string | undefined;
        transformBox?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "fill-box" | "view-box" | undefined;
        transformOrigin?: string | number | undefined;
        transformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | undefined;
        transitionDelay?: string | undefined;
        transitionDuration?: string | undefined;
        transitionProperty?: string | undefined;
        transitionTimingFunction?: string | undefined;
        translate?: string | number | undefined;
        unicodeBidi?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "isolate" | "-moz-isolate" | "-moz-isolate-override" | "-moz-plaintext" | "-webkit-isolate" | "bidi-override" | "embed" | "isolate-override" | "plaintext" | undefined;
        userSelect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "contain" | "all" | "text" | "-moz-none" | "element" | undefined;
        verticalAlign?: string | number | undefined;
        visibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | "collapse" | undefined;
        whiteSpace?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "nowrap" | "-moz-pre-wrap" | "pre" | "pre-line" | "pre-wrap" | undefined;
        widows?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        width?: string | number | undefined;
        willChange?: string | undefined;
        wordBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | "break-all" | "keep-all" | undefined;
        wordSpacing?: string | number | undefined;
        wordWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | undefined;
        writingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | undefined;
        zIndex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | undefined;
        zoom?: string | number | undefined;
        all?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        animation?: string | number | undefined;
        background?: string | number | undefined;
        border?: string | number | undefined;
        borderBlock?: string | number | undefined;
        borderBlockEnd?: string | number | undefined;
        borderBlockStart?: string | number | undefined;
        borderBottom?: string | number | undefined;
        borderColor?: string | undefined;
        borderImage?: string | number | undefined;
        borderInline?: string | number | undefined;
        borderInlineEnd?: string | number | undefined;
        borderInlineStart?: string | number | undefined;
        borderLeft?: string | number | undefined;
        borderRadius?: string | number | undefined;
        borderRight?: string | number | undefined;
        borderStyle?: string | undefined;
        borderTop?: string | number | undefined;
        borderWidth?: string | number | undefined;
        columnRule?: string | number | undefined;
        columns?: string | number | undefined;
        flex?: string | number | undefined;
        flexFlow?: string | undefined;
        font?: string | undefined;
        gap?: string | number | undefined;
        grid?: string | undefined;
        gridArea?: string | number | undefined;
        gridColumn?: string | number | undefined;
        gridRow?: string | number | undefined;
        gridTemplate?: string | undefined;
        lineClamp?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | undefined;
        listStyle?: string | undefined;
        margin?: string | number | undefined;
        mask?: string | number | undefined;
        maskBorder?: string | number | undefined;
        motion?: string | number | undefined;
        offset?: string | number | undefined;
        outline?: string | number | undefined;
        padding?: string | number | undefined;
        placeItems?: string | undefined;
        placeSelf?: string | undefined;
        textDecoration?: string | undefined;
        textEmphasis?: string | undefined;
        transition?: string | undefined;
        MozAnimationDelay?: string | undefined;
        MozAnimationDirection?: string | undefined;
        MozAnimationDuration?: string | undefined;
        MozAnimationFillMode?: string | undefined;
        MozAnimationIterationCount?: string | number | undefined;
        MozAnimationName?: string | undefined;
        MozAnimationPlayState?: string | undefined;
        MozAnimationTimingFunction?: string | undefined;
        MozAppearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "button-bevel" | "checkbox" | "listbox" | "menulist" | "menulist-button" | "radio" | "searchfield" | "button" | "textfield" | "-moz-mac-unified-toolbar" | "-moz-win-borderless-glass" | "-moz-win-browsertabbar-toolbox" | "-moz-win-communications-toolbox" | "-moz-win-communicationstext" | "-moz-win-exclude-glass" | "-moz-win-glass" | "-moz-win-media-toolbox" | "-moz-win-mediatext" | "-moz-window-button-box" | "-moz-window-button-box-maximized" | "-moz-window-button-close" | "-moz-window-button-maximize" | "-moz-window-button-minimize" | "-moz-window-button-restore" | "-moz-window-frame-bottom" | "-moz-window-frame-left" | "-moz-window-frame-right" | "-moz-window-titlebar" | "-moz-window-titlebar-maximized" | "button-arrow-down" | "button-arrow-next" | "button-arrow-previous" | "button-arrow-up" | "button-focus" | "caret" | "checkbox-container" | "checkbox-label" | "checkmenuitem" | "dualbutton" | "groupbox" | "listitem" | "menuarrow" | "menubar" | "menucheckbox" | "menuimage" | "menuitem" | "menuitemtext" | "menulist-text" | "menulist-textfield" | "menupopup" | "menuradio" | "menuseparator" | "meterbar" | "meterchunk" | "progressbar" | "progressbar-vertical" | "progresschunk" | "progresschunk-vertical" | "radio-container" | "radio-label" | "radiomenuitem" | "range" | "range-thumb" | "resizer" | "resizerpanel" | "scale-horizontal" | "scale-vertical" | "scalethumb-horizontal" | "scalethumb-vertical" | "scalethumbend" | "scalethumbstart" | "scalethumbtick" | "scrollbarbutton-down" | "scrollbarbutton-left" | "scrollbarbutton-right" | "scrollbarbutton-up" | "scrollbarthumb-horizontal" | "scrollbarthumb-vertical" | "scrollbartrack-horizontal" | "scrollbartrack-vertical" | "separator" | "sheet" | "spinner" | "spinner-downbutton" | "spinner-textfield" | "spinner-upbutton" | "splitter" | "statusbar" | "statusbarpanel" | "tab" | "tab-scroll-arrow-back" | "tab-scroll-arrow-forward" | "tabpanel" | "tabpanels" | "textfield-multiline" | "toolbar" | "toolbarbutton" | "toolbarbutton-dropdown" | "toolbargripper" | "toolbox" | "tooltip" | "treeheader" | "treeheadercell" | "treeheadersortarrow" | "treeitem" | "treeline" | "treetwisty" | "treetwistyopen" | "treeview" | undefined;
        MozBackfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | undefined;
        MozBorderBottomColors?: string | undefined;
        MozBorderEndColor?: string | undefined;
        MozBorderEndStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        MozBorderEndWidth?: string | number | undefined;
        MozBorderLeftColors?: string | undefined;
        MozBorderRightColors?: string | undefined;
        MozBorderStartColor?: string | undefined;
        MozBorderStartStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "hidden" | "dashed" | "dotted" | "double" | "groove" | "inset" | "outset" | "ridge" | "solid" | undefined;
        MozBorderTopColors?: string | undefined;
        MozBoxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | undefined;
        MozColumnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | undefined;
        MozColumnFill?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "balance" | "balance-all" | undefined;
        MozColumnGap?: string | number | undefined;
        MozColumnRuleColor?: string | undefined;
        MozColumnRuleStyle?: string | undefined;
        MozColumnRuleWidth?: string | number | undefined;
        MozColumnWidth?: string | number | undefined;
        MozContextProperties?: string | undefined;
        MozFloatEdge?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | "padding-box" | "margin-box" | undefined;
        MozFontFeatureSettings?: string | undefined;
        MozFontLanguageOverride?: string | undefined;
        MozForceBrokenImageIcon?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        MozHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | undefined;
        MozImageRegion?: string | undefined;
        MozMarginEnd?: string | number | undefined;
        MozMarginStart?: string | number | undefined;
        MozOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "block" | "inline" | "horizontal" | "vertical" | undefined;
        MozOutlineRadiusBottomleft?: string | number | undefined;
        MozOutlineRadiusBottomright?: string | number | undefined;
        MozOutlineRadiusTopleft?: string | number | undefined;
        MozOutlineRadiusTopright?: string | number | undefined;
        MozPaddingEnd?: string | number | undefined;
        MozPaddingStart?: string | number | undefined;
        MozPerspective?: string | number | undefined;
        MozPerspectiveOrigin?: string | number | undefined;
        MozStackSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "ignore" | "stretch-to-fit" | undefined;
        MozTabSize?: string | number | undefined;
        MozTextSizeAdjust?: string | undefined;
        MozTransformOrigin?: string | number | undefined;
        MozTransformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | undefined;
        MozTransitionDelay?: string | undefined;
        MozTransitionDuration?: string | undefined;
        MozTransitionProperty?: string | undefined;
        MozTransitionTimingFunction?: string | undefined;
        MozUserFocus?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "none" | "ignore" | "select-after" | "select-all" | "select-before" | "select-menu" | "select-same" | undefined;
        MozUserModify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "read-only" | "read-write" | "write-only" | undefined;
        MozUserSelect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "contain" | "all" | "text" | "-moz-none" | "element" | undefined;
        MozWindowDragging?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "drag" | "no-drag" | undefined;
        msAccelerator?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "false" | "true" | undefined;
        msAlignSelf?: string | undefined;
        msBlockProgression?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "bt" | "lr" | "rl" | "tb" | undefined;
        msContentZoomChaining?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "chained" | undefined;
        msContentZoomLimitMax?: string | undefined;
        msContentZoomLimitMin?: string | undefined;
        msContentZoomSnapPoints?: string | undefined;
        msContentZoomSnapType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | undefined;
        msContentZooming?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "zoom" | undefined;
        msFilter?: string | undefined;
        msFlexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
        msFlexPositive?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        msFlowFrom?: string | undefined;
        msFlowInto?: string | undefined;
        msGridColumns?: string | number | undefined;
        msGridRows?: string | number | undefined;
        msHighContrastAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | undefined;
        msHyphenateLimitChars?: string | number | undefined;
        msHyphenateLimitLines?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-limit" | undefined;
        msHyphenateLimitZone?: string | number | undefined;
        msHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | undefined;
        msImeAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "after" | undefined;
        msLineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | undefined;
        msOrder?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        msOverflowStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "-ms-autohiding-scrollbar" | "scrollbar" | undefined;
        msOverflowX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | "clip" | undefined;
        msOverflowY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "hidden" | "visible" | "scroll" | "clip" | undefined;
        msScrollChaining?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "chained" | undefined;
        msScrollLimitXMax?: string | number | undefined;
        msScrollLimitXMin?: string | number | undefined;
        msScrollLimitYMax?: string | number | undefined;
        msScrollLimitYMin?: string | number | undefined;
        msScrollRails?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "railed" | undefined;
        msScrollSnapPointsX?: string | undefined;
        msScrollSnapPointsY?: string | undefined;
        msScrollSnapType?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | undefined;
        msScrollTranslation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "vertical-to-horizontal" | undefined;
        msScrollbar3dlightColor?: string | undefined;
        msScrollbarArrowColor?: string | undefined;
        msScrollbarBaseColor?: string | undefined;
        msScrollbarDarkshadowColor?: string | undefined;
        msScrollbarFaceColor?: string | undefined;
        msScrollbarHighlightColor?: string | undefined;
        msScrollbarShadowColor?: string | undefined;
        msScrollbarTrackColor?: string | undefined;
        msTextAutospace?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "ideograph-alpha" | "ideograph-numeric" | "ideograph-parenthesis" | "ideograph-space" | undefined;
        msTextCombineHorizontal?: string | undefined;
        msTextOverflow?: string | undefined;
        msTouchAction?: string | undefined;
        msTouchSelect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "grippers" | undefined;
        msTransform?: string | undefined;
        msTransformOrigin?: string | number | undefined;
        msTransitionDelay?: string | undefined;
        msTransitionDuration?: string | undefined;
        msTransitionProperty?: string | undefined;
        msTransitionTimingFunction?: string | undefined;
        msUserSelect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "text" | "element" | undefined;
        msWordBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "break-word" | "break-all" | "keep-all" | undefined;
        msWrapFlow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "end" | "start" | "auto" | "both" | "clear" | "maximum" | undefined;
        msWrapMargin?: string | number | undefined;
        msWrapThrough?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "wrap" | undefined;
        msWritingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | undefined;
        OObjectFit?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "contain" | "cover" | "fill" | "scale-down" | undefined;
        OObjectPosition?: string | number | undefined;
        OTabSize?: string | number | undefined;
        OTextOverflow?: string | undefined;
        OTransformOrigin?: string | number | undefined;
        WebkitAlignContent?: string | undefined;
        WebkitAlignItems?: string | undefined;
        WebkitAlignSelf?: string | undefined;
        WebkitAnimationDelay?: string | undefined;
        WebkitAnimationDirection?: string | undefined;
        WebkitAnimationDuration?: string | undefined;
        WebkitAnimationFillMode?: string | undefined;
        WebkitAnimationIterationCount?: string | number | undefined;
        WebkitAnimationName?: string | undefined;
        WebkitAnimationPlayState?: string | undefined;
        WebkitAnimationTimingFunction?: string | undefined;
        WebkitAppearance?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "button-bevel" | "checkbox" | "listbox" | "menulist" | "menulist-button" | "meter" | "progress-bar" | "push-button" | "radio" | "searchfield" | "slider-horizontal" | "square-button" | "textarea" | "button" | "textfield" | "caret" | "listitem" | "menulist-text" | "menulist-textfield" | "default-button" | "inner-spin-button" | "media-controls-background" | "media-controls-fullscreen-background" | "media-current-time-display" | "media-enter-fullscreen-button" | "media-exit-fullscreen-button" | "media-fullscreen-button" | "media-mute-button" | "media-overlay-play-button" | "media-play-button" | "media-seek-back-button" | "media-seek-forward-button" | "media-slider" | "media-sliderthumb" | "media-time-remaining-display" | "media-toggle-closed-captions-button" | "media-volume-slider" | "media-volume-slider-container" | "media-volume-sliderthumb" | "progress-bar-value" | "searchfield-cancel-button" | "searchfield-decoration" | "searchfield-results-button" | "searchfield-results-decoration" | "slider-vertical" | "sliderthumb-horizontal" | "sliderthumb-vertical" | undefined;
        WebkitBackdropFilter?: string | undefined;
        WebkitBackfaceVisibility?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "hidden" | "visible" | undefined;
        WebkitBackgroundClip?: string | undefined;
        WebkitBackgroundOrigin?: string | undefined;
        WebkitBackgroundSize?: string | number | undefined;
        WebkitBorderBeforeColor?: string | undefined;
        WebkitBorderBeforeStyle?: string | undefined;
        WebkitBorderBeforeWidth?: string | number | undefined;
        WebkitBorderBottomLeftRadius?: string | number | undefined;
        WebkitBorderBottomRightRadius?: string | number | undefined;
        WebkitBorderImageSlice?: string | number | undefined;
        WebkitBorderTopLeftRadius?: string | number | undefined;
        WebkitBorderTopRightRadius?: string | number | undefined;
        WebkitBoxDecorationBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | undefined;
        WebkitBoxReflect?: string | number | undefined;
        WebkitBoxShadow?: string | undefined;
        WebkitBoxSizing?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "border-box" | "content-box" | undefined;
        WebkitClipPath?: string | undefined;
        WebkitColorAdjust?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "economy" | "exact" | undefined;
        WebkitColumnCount?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | undefined;
        WebkitColumnFill?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "balance" | "balance-all" | undefined;
        WebkitColumnGap?: string | number | undefined;
        WebkitColumnRuleColor?: string | undefined;
        WebkitColumnRuleStyle?: string | undefined;
        WebkitColumnRuleWidth?: string | number | undefined;
        WebkitColumnSpan?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "all" | undefined;
        WebkitColumnWidth?: string | number | undefined;
        WebkitFilter?: string | undefined;
        WebkitFlexBasis?: string | number | undefined;
        WebkitFlexDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "column" | "column-reverse" | "row" | "row-reverse" | undefined;
        WebkitFlexGrow?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        WebkitFlexShrink?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        WebkitFlexWrap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
        WebkitFontFeatureSettings?: string | undefined;
        WebkitFontKerning?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "none" | undefined;
        WebkitFontVariantLigatures?: string | undefined;
        WebkitHyphens?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "manual" | undefined;
        WebkitJustifyContent?: string | undefined;
        WebkitLineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | undefined;
        WebkitLineClamp?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | undefined;
        WebkitMarginEnd?: string | number | undefined;
        WebkitMarginStart?: string | number | undefined;
        WebkitMaskAttachment?: string | undefined;
        WebkitMaskClip?: string | undefined;
        WebkitMaskComposite?: string | undefined;
        WebkitMaskImage?: string | undefined;
        WebkitMaskOrigin?: string | undefined;
        WebkitMaskPosition?: string | number | undefined;
        WebkitMaskPositionX?: string | number | undefined;
        WebkitMaskPositionY?: string | number | undefined;
        WebkitMaskRepeat?: string | undefined;
        WebkitMaskRepeatX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-repeat" | "repeat" | "round" | "space" | undefined;
        WebkitMaskRepeatY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "no-repeat" | "repeat" | "round" | "space" | undefined;
        WebkitMaskSize?: string | number | undefined;
        WebkitMaxInlineSize?: string | number | undefined;
        WebkitOrder?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        WebkitOverflowScrolling?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "touch" | undefined;
        WebkitPaddingEnd?: string | number | undefined;
        WebkitPaddingStart?: string | number | undefined;
        WebkitPerspective?: string | number | undefined;
        WebkitPerspectiveOrigin?: string | number | undefined;
        WebkitScrollSnapType?: string | undefined;
        WebkitShapeMargin?: string | number | undefined;
        WebkitTapHighlightColor?: string | undefined;
        WebkitTextCombine?: string | undefined;
        WebkitTextDecorationColor?: string | undefined;
        WebkitTextDecorationLine?: string | undefined;
        WebkitTextDecorationSkip?: string | undefined;
        WebkitTextDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | undefined;
        WebkitTextEmphasisColor?: string | undefined;
        WebkitTextEmphasisPosition?: string | undefined;
        WebkitTextEmphasisStyle?: string | undefined;
        WebkitTextFillColor?: string | undefined;
        WebkitTextOrientation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "mixed" | "sideways" | "upright" | undefined;
        WebkitTextSizeAdjust?: string | undefined;
        WebkitTextStrokeColor?: string | undefined;
        WebkitTextStrokeWidth?: string | number | undefined;
        WebkitTouchCallout?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "default" | undefined;
        WebkitTransform?: string | undefined;
        WebkitTransformOrigin?: string | number | undefined;
        WebkitTransformStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "flat" | "preserve-3d" | undefined;
        WebkitTransitionDelay?: string | undefined;
        WebkitTransitionDuration?: string | undefined;
        WebkitTransitionProperty?: string | undefined;
        WebkitTransitionTimingFunction?: string | undefined;
        WebkitUserModify?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "read-only" | "read-write" | "read-write-plaintext-only" | undefined;
        WebkitUserSelect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "contain" | "all" | "text" | "-moz-none" | "element" | undefined;
        WebkitWritingMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal-tb" | "sideways-lr" | "sideways-rl" | "vertical-lr" | "vertical-rl" | undefined;
        MozAnimation?: string | number | undefined;
        MozBorderImage?: string | number | undefined;
        MozColumnRule?: string | number | undefined;
        MozColumns?: string | number | undefined;
        MozTransition?: string | undefined;
        msContentZoomLimit?: string | undefined;
        msContentZoomSnap?: string | undefined;
        msFlex?: string | number | undefined;
        msScrollLimit?: string | undefined;
        msScrollSnapX?: string | undefined;
        msScrollSnapY?: string | undefined;
        msTransition?: string | undefined;
        WebkitAnimation?: string | number | undefined;
        WebkitBorderBefore?: string | number | undefined;
        WebkitBorderImage?: string | number | undefined;
        WebkitBorderRadius?: string | number | undefined;
        WebkitColumnRule?: string | number | undefined;
        WebkitColumns?: string | number | undefined;
        WebkitFlex?: string | number | undefined;
        WebkitFlexFlow?: string | undefined;
        WebkitMask?: string | number | undefined;
        WebkitTextEmphasis?: string | undefined;
        WebkitTextStroke?: string | number | undefined;
        WebkitTransition?: string | undefined;
        boxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | undefined;
        boxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | undefined;
        boxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        boxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        boxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | undefined;
        boxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        boxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | undefined;
        boxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | undefined;
        clip?: string | undefined;
        fontVariantAlternates?: string | undefined;
        gridColumnGap?: string | number | undefined;
        gridGap?: string | number | undefined;
        gridRowGap?: string | number | undefined;
        imeMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "active" | "disabled" | "inactive" | undefined;
        offsetBlock?: string | number | undefined;
        offsetBlockEnd?: string | number | undefined;
        offsetBlockStart?: string | number | undefined;
        offsetInline?: string | number | undefined;
        offsetInlineEnd?: string | number | undefined;
        offsetInlineStart?: string | number | undefined;
        scrollSnapCoordinate?: string | number | undefined;
        scrollSnapDestination?: string | number | undefined;
        scrollSnapPointsX?: string | undefined;
        scrollSnapPointsY?: string | undefined;
        scrollSnapTypeX?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | undefined;
        scrollSnapTypeY?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "mandatory" | "proximity" | undefined;
        textCombineHorizontal?: string | undefined;
        KhtmlBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | undefined;
        KhtmlBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | undefined;
        KhtmlBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        KhtmlBoxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        KhtmlBoxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | undefined;
        KhtmlBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        KhtmlBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | undefined;
        KhtmlBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | undefined;
        KhtmlLineBreak?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "strict" | "loose" | undefined;
        KhtmlOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        KhtmlUserSelect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "contain" | "all" | "text" | "-moz-none" | "element" | undefined;
        MozBackgroundClip?: string | undefined;
        MozBackgroundInlinePolicy?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "clone" | "slice" | undefined;
        MozBackgroundOrigin?: string | undefined;
        MozBackgroundSize?: string | number | undefined;
        MozBinding?: string | undefined;
        MozBorderRadius?: string | number | undefined;
        MozBorderRadiusBottomleft?: string | number | undefined;
        MozBorderRadiusBottomright?: string | number | undefined;
        MozBorderRadiusTopleft?: string | number | undefined;
        MozBorderRadiusTopright?: string | number | undefined;
        MozBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | undefined;
        MozBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | undefined;
        MozBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        MozBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        MozBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | undefined;
        MozBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | undefined;
        MozBoxShadow?: string | undefined;
        MozOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        MozOutline?: string | number | undefined;
        MozOutlineColor?: string | undefined;
        MozOutlineRadius?: string | number | undefined;
        MozOutlineStyle?: string | undefined;
        MozOutlineWidth?: string | number | undefined;
        MozTextAlignLast?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "auto" | "left" | "right" | "justify" | undefined;
        MozTextBlink?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "blink" | undefined;
        MozTextDecorationColor?: string | undefined;
        MozTextDecorationLine?: string | undefined;
        MozTextDecorationStyle?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "dashed" | "dotted" | "double" | "solid" | "wavy" | undefined;
        MozUserInput?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "none" | "disabled" | "enabled" | undefined;
        MozWindowShadow?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "default" | "menu" | "sheet" | "tooltip" | undefined;
        msImeMode?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "auto" | "active" | "disabled" | "inactive" | undefined;
        OAnimation?: string | number | undefined;
        OAnimationDelay?: string | undefined;
        OAnimationDirection?: string | undefined;
        OAnimationDuration?: string | undefined;
        OAnimationFillMode?: string | undefined;
        OAnimationIterationCount?: string | number | undefined;
        OAnimationName?: string | undefined;
        OAnimationPlayState?: string | undefined;
        OAnimationTimingFunction?: string | undefined;
        OBackgroundSize?: string | number | undefined;
        OBorderImage?: string | number | undefined;
        OTransform?: string | undefined;
        OTransition?: string | undefined;
        OTransitionDelay?: string | undefined;
        OTransitionDuration?: string | undefined;
        OTransitionProperty?: string | undefined;
        OTransitionTimingFunction?: string | undefined;
        WebkitBoxAlign?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "stretch" | "center" | "end" | "start" | "baseline" | undefined;
        WebkitBoxDirection?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "normal" | "reverse" | undefined;
        WebkitBoxFlex?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        WebkitBoxFlexGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        WebkitBoxLines?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "multiple" | "single" | undefined;
        WebkitBoxOrdinalGroup?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        WebkitBoxOrient?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "horizontal" | "vertical" | "block-axis" | "inline-axis" | undefined;
        WebkitBoxPack?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "center" | "end" | "start" | "justify" | undefined;
        WebkitScrollSnapPointsX?: string | undefined;
        WebkitScrollSnapPointsY?: string | undefined;
        alignmentBaseline?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "baseline" | "auto" | "middle" | "after-edge" | "alphabetic" | "before-edge" | "central" | "hanging" | "ideographic" | "mathematical" | "text-after-edge" | "text-before-edge" | undefined;
        baselineShift?: string | number | undefined;
        clipRule?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "evenodd" | "nonzero" | undefined;
        colorInterpolation?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "linearRGB" | "sRGB" | undefined;
        colorRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "optimizeSpeed" | "optimizeQuality" | undefined;
        dominantBaseline?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "middle" | "alphabetic" | "central" | "hanging" | "ideographic" | "mathematical" | "text-after-edge" | "text-before-edge" | "no-change" | "reset-size" | "use-script" | undefined;
        fill?: string | undefined;
        fillOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        fillRule?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "evenodd" | "nonzero" | undefined;
        floodColor?: string | undefined;
        floodOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        glyphOrientationVertical?: string | number | undefined;
        lightingColor?: string | undefined;
        marker?: string | undefined;
        markerEnd?: string | undefined;
        markerMid?: string | undefined;
        markerStart?: string | undefined;
        shapeRendering?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "auto" | "geometricPrecision" | "optimizeSpeed" | "crispEdges" | undefined;
        stopColor?: string | undefined;
        stopOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        stroke?: string | undefined;
        strokeDasharray?: string | number | undefined;
        strokeDashoffset?: string | number | undefined;
        strokeLinecap?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "round" | "butt" | "square" | undefined;
        strokeLinejoin?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "round" | "bevel" | "miter" | undefined;
        strokeMiterlimit?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        strokeOpacity?: number | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | undefined;
        strokeWidth?: string | number | undefined;
        textAnchor?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "end" | "start" | "middle" | undefined;
        vectorEffect?: "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "none" | "non-scaling-stroke" | undefined;
    };
    children: React.ReactNode;
};
